<?php
/**
 * chartlist.php - List units resulted from clicking on a pie slice
 *
 * @author $Author: dtong $
 * @version $Id: chartlist.php,v 1.24 2013/10/21 01:45:26 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

class Chartlist extends CI_Controller {

	function __construct() {
		parent::__construct();
		osa_nosession_ajax_redirect();
		// $this->load->model('sort/searchsort_model');
		// $this->CI = get_instance();
	}

	function get($uniqueid, $select_type, $selected_id) {
		$this->load->model('mapping/unit_select_model');
		//we piggyback on handle_graph so we can access the template data easily
		$this->load->library('mapping/handle_graph', array('request'=>array('dummy data'), 'searchid'=>$uniqueid));

		$divid = $this->handle_graph->get_inputvalue('_chart_divid');
		$sql = $this->session->userdata('sql_' . $divid);
		if ( !$sql || !is_numeric($selected_id) ) {
			echo osa_ajaxmsg(lang('gen_internalservererror'));
			exit;
		}
		//$sql = sprintf($sql, $selected_id); //param %s more than one
		$sql = str_replace('%s', $selected_id, $sql);
		$res = $this->unit_select_model->run_query($sql);
		$display = $this->handle_graph->get_display_obj();
		$select_categories = $this->handle_graph->get_templatevalue('_data_category');
		$selections = $this->handle_graph->get_templatevalue('_data');
		$selections = osa_value($selections, $select_type, FALSE);
		$display->pagetitle = $this->handle_graph->get_templatevalue('_result_title') . ' (' .
			osa_value($select_categories,$select_type,FALSE) . ' - ' . osa_value($selections,$selected_id,FALSE) . ')';
		if ( $this->handle_graph->get_templatevalue('_data_category') == FALSE){
			$display->pagetitle = $this->handle_graph->get_templatevalue('_result_title') . ' (' .$select_type. ')';
		}
		$display->titles = array(lang('map_course'),lang('map_unit'),$this->handle_graph->get_templatevalue('_result_desc_title'));
		//Set the size for each TD
		$display->widths = array(200,200,500);

		$show_unit_template = osa_unit_template();
		$_use_column_unit_type = $this->handle_graph->get_templatevalue('_use_column_unit_type');
		if ( $show_unit_template != FALSE && $_use_column_unit_type != FALSE) {
			$display->titles[] =	lang('map_unit_type');
			$display->widths[] = '5%';
		}

		$display->divid = $this->handle_graph->get_templatevalue('_result_divid');
		//$display->closebutton = TRUE; //divid has to be defined for this to work
		if ( $res ) {
			$this->handle_graph->add_urllink_template_str(1, $display);
			foreach ( $res as $item ) {
				$data = array($item->coursename, $item->unit_title, strip_tags(html_entity_decode($item->res_description)));
				if ($_use_column_unit_type != FALSE && isset($item->template)){
					$unit_typ =lang('unit_typename_'.$item->template);
					$data[] = $unit_typ;
				}
				$this->handle_graph->add_hidden_data(1, $data, "'$item->unitid','$item->unitid'");
				$display->add($data);
			}
		}
		//$add_js = "showDhtmlWindow('". $this->handle_graph->get_inputvalue('_divid') . "');";
		//We are using event handles prepareDhxwinFlipDisplay() to hide/show in the javascript now.
		$add_js = '';

		$data = array();
		$data['_divid']       = $this->handle_graph->get_inputvalue('_divid');
      $data['_default_col'] = $this->handle_graph->get_templatevalue('_default_col');
      $data['_default_img'] = $this->handle_graph->get_templatevalue('_default_img');;
      $this->searchdata = array();
		$this->searchdata['_data']     = $data;
		$this->searchdata['_uniqueid'] = $uniqueid ;

		//$display->iswindow = TRUE;
      $display->force_sort = TRUE;
      $display->prepare_page();
      $data = new stdClass();
      $data->display = $display;
      //Usually the $display object is related to the PHP session but this one gets it
      //from the graph so we have to manually start the PHP session here
      //We don't use much of the PHP session (at least by design...) so try to keep
      //overhead low by not always start the PHP session.
      //osa_php_session_start();

      //The view needs the PHP session ID for PDF generation
      echo $this->load->view('mapping/result_list_view', $data, TRUE);
      //$display->save_session();
	}

	// For lt_dropdown.
	function get2($uniqueid, $title, $sql_param) {
		//we piggyback on handle_graph so we can access the template data easily
		$this->load->library('mapping/handle_graph', array('request'=>array('dummy data'), 'searchid'=>$uniqueid));
		$divid = $this->handle_graph->get_inputvalue('_chart_divid');
		$sql = $this->session->userdata('sql_' . $divid);
		$sql = sprintf($sql, $sql_param);
		$this->load->model('cms/common_db_model');
		$db_res = $this->common_db_model->query($sql);
		if ( empty($db_res) ) {
			$db_res = array();
		}

		$display = $this->handle_graph->get_display_obj();
		$display->pagetitle = urldecode($title);
		$display->titles = $this->handle_graph->get_templatevalue('_col_titles');
		$display->widths = $this->handle_graph->get_templatevalue('_col_widths');
		$display->divid = $this->handle_graph->get_templatevalue('_result_divid');
		$word_view = $this->handle_graph->get_templatevalue('_word_view');
		$lastgoalid = FALSE;
		$comments = '';
		// var_dump($db_res);
		$base_url = base_url();
		$resid_hash = array();
		foreach ($db_res as $item) {
			if ( $lastgoalid === FALSE ) {
				$lastgoalid = $item->goalid;
				$lasttype = $item->type;
			}
			if ( $lastgoalid != $item->goalid || $lasttype != $item->type ) {
				$data = array($prev_item->firstname, $prev_item->lastname, $comments, $link);
				$display->add($data);
				// Due to the data structure and query the resources can be duplicated in the sql result.
				// So, we just have the code look for duplicated resources and ignore them here.
				if ( isset($resid_hash[$item->resid] )) {
					$comments = '';
				}
				else {
					$comments = "<div>{$item->data}</div>";
				}
				$lastgoalid = $item->goalid;
				$lasttype = $item->type;
			}
			else {
				if ( !isset($resid_hash[$item->resid] )) {
					$comments .= "<div>{$item->data}</div>";
				}
			}
			$path = $base_url . 'goal/goal/readall/' . $item->goalid;
			$link = "<a onClick=\"newDhtmlWindow('$path', '', 1000, 700)\"><span style='color:blue'>$word_view</span></a>";

			if ( !empty($item->resid) && !isset($resid_hash[$item->resid]) ) {
				$resid_hash[$item->resid] = TRUE;
			}

			$prev_item = $item;
			unset($item);
		}

		if ( $lastgoalid !== FALSE ) {
			$data = array($prev_item->firstname, $prev_item->lastname, $comments, $link);
			// var_dump($data);
			$display->add($data);
		}

		// echo "<div style='text-align:center;font-weight:bold;margin:15px;margin-top:2px'>" . urldecode($title) . "</div>";

		$display->default_col = $this->handle_graph->get_templatevalue('_default_col');
		if ( ($alignments = $this->handle_graph->get_templatevalue('_col_alignments')) ) {
			$display->column_data_align = &$alignments;
		}
		$display->force_sort = TRUE;
		$display->prepare_page();
		$data = new stdClass();
		$data->display = $display;
		echo $this->load->view('mapping/result_list_view', $data, TRUE);
	}
}
