<?php
/**
 * menu.php - The menu controller for the menu tree.
 *
 * @author $Author: dtong $
 * @version $Id: menu.php,v 1.28 2012/02/27 04:32:13 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

class Menu extends CI_Controller{
	function __construct() {
		parent::__construct();
		osa_header_nocache();
		$user = $this->login_model->getLogin();
		// Special case that we can't modify the jstree ajax so print error and do nothing.
		if ( !$this->access_model->checkaccess_any('homepage_access', $user, TRUE, FALSE)) {
			osa_load_lang('menu');
			// Syntax for jstree.
			echo '<ul><li id="no_session" style="color:red">' . lang('menu_jstree_nosession_1') . '<br />' .
				  '&nbsp;&nbsp;&nbsp;&nbsp;' . lang('menu_jstree_nosession_2') . '</li></ul>';
			exit;
		}
		// Function totalunit does not need the osa_menutree object.
	   if ( !osa_is_function_name('totalunit') ) {
	   	$params = array('user' => $user);
	  		$this->load->library('cms/Osa_menutree', $params);
	   }
	}

	// make list of courses by grade
	function listgrade($gradeid){
	   echo $this->osa_menutree->get_coursesbygrade($gradeid);
	   exit;
	}

	// make a list of course detail for the grade tree
	function gradecourses_detail($courseid){
		echo $this->osa_menutree->get_coursesbygrade_details($courseid);
		exit;
	 }

	 function listdept($deptid, $catid=FALSE){
	   echo $this->osa_menutree->get_coursesbydept($deptid, $catid);
	   exit;
	 }

	// make a list of course detail for the department tree
	function deptcourses_detail($courseid){
		echo $this->osa_menutree->get_coursesbydept_details($courseid);
		exit;
	 }

	// make tree and list of course detail for the my course tree
	function mycourses_detail($courseid){
		echo $this->osa_menutree->get_mycourse_details($courseid);
		exit;
	}

	//Shows the list of a units in a course
	 function unit($courseid, $prefix="") {
	 	echo $this->osa_menutree->show_units($courseid, $prefix);
	 	exit;
	 }

	 function nosession() {
	 	//This will print the no session ajax message
		$this->access_model->checkaccess_any('homepage_access', $user, TRUE, TRUE);
		exit;
	 }

	 function totalunit() {
	  	osa_load_lang('home');
	  	$this->load->model('menu/menu_model');
	  	$totals = $this->menu_model->unit_totals();
	  	$published = $totals[CMS_UNIT_STATUS_PUBLISH];
	  	$editing = $totals[CMS_UNIT_STATUS_EDIT];
		$data = new stdClass();
	  	$data->published = $published;
	  	$data->editing = $editing;
		echo $this->load->view('template/total_unit_view', $data, TRUE);
		exit;
	 }
}