<?php
/**
 * session_update
 *
 * Updates/checkes the session timeout regardless of the CI session update value.
 * This is called by automated javascript every 10 minutes.
 *
 * @author $Author: dtong $
 * @version $Id: session_update.php,v 1.13 2012/04/02 05:08:48 dtong Exp $
 * @copyright Copyright (c) 2010, Tiller Software Co., Ltd.
*/

class Session_update extends CI_Controller {
	private $is_wrapper = FALSE;

	function __construct() {
		parent::__construct();
	}

	// The actual update or check relies on the http header X-Cms-Skip-Session-Update.
	// The 2 functions/urls are for jscript to distingush between update and check only.
	function index() {
		$this->is_wrapper = TRUE;
		// The javascript uses this url for updates. The actual PHP code here
		// does nothing for session update. All server request now do timed session update
		// except if a sepcail header is sent from ajax.
		$this->check();
	}

	// The javascript sends a sepcial http header so we skip the session update
	// in Osa_Session.php.
	function check($allow_survey=FALSE) {
		if ( !$this->login_model->isAuthenticated() ) {
			if ( $allow_survey === TRUE ) {
				$this->load->model('auth/survey_login_model');
				//if ( !$this->survey_login_model->isAuthenticated() ) {
				//Due to the support of no-login survey we just check to see if the survey session login object exist or not
				if ( !$this->survey_login_model->getLogin() ) {
					echo CMS_AJAX_FAILED;
					exit;
				}
			}
			else {
				echo CMS_AJAX_FAILED;
				exit;
			}
		}
		// This is perfect to run the event functions since if a browser has a lot of user activities
		// then this does not get called at all. Don't really need it to run often since all login will run this too.
		if ( !$this->is_wrapper && mt_rand(0, 10) === 0 ) {
			// Don't run if from other wrapper functions.
			$this->load->library('cms/Cms_scheduler');
			// This will do exit if gets run but does not affect the session check.
			// The javascript session check only quits if it receives the ajax fail message
			// else it will do nothing. Notice if the check fails and the code above will echo
			// ajax_failed and exit before even reaching here.
			$this->cms_scheduler->event();
		}
		echo CMS_AJAX_SUCCESS;
		exit;
	}

	// For checking the survey session. Also no update with http header.
	function check_survey() {
		$this->is_wrapper = TRUE;
		$this->check(TRUE);
	}

}