<?php
/**
 * Handle_lt_dropdown.php - Search handle for the 3rd party LT dropdown feature. ZIS specific.
 *
 * @author $Author: dtong $
 * @version $Id: Handle_lt_dropdown.php,v 1.1 2013/10/21 01:45:25 dtong Exp $
 * @copyright Copyright (c) 2013, Tiller Software Co., Ltd.
*/

require_once('Handle_base.php');

class Handle_lt_dropdown extends Handle_base{

	function __construct($params) {
		parent::__construct($params);
		$this->CI->load->model('cms/common_db_model');
	}

	function process() {
		$types = $this->get_templatevalue('_types');
		$monthfrom = $this->get_requestvalue('_month_from');
		$yearfrom = $this->get_requestvalue('_year_from');
		$monthto = $this->get_requestvalue('_month_to');
		$yearto = $this->get_requestvalue('_year_to');
		if ( !osa_is_int($monthfrom) || !osa_is_int($yearfrom) || !osa_is_int($monthto) || !osa_is_int($yearto) ) {
			exit;
		}
		$datefrom = "{$yearfrom}-{$monthfrom}-01";
		$dateto = "{$yearto}-{$monthto}-31";
		$table_tp_lt_dropdown = $this->CI->common_db_model->db->dbprefix('tp_lt_dropdown');
		$table_goal = $this->CI->common_db_model->db->dbprefix('goal');
		$table_strand = $this->CI->common_db_model->db->dbprefix('strand');
		$table_resource = $this->CI->common_db_model->db->dbprefix('resource');
		$table_user = $this->CI->common_db_model->db->dbprefix('user');
		// It is OK for school specific qucik and dirty implementation to use SQL in a non-model file.
		$sql = "select ld.dataid,s.data,sum('1') total from $table_tp_lt_dropdown ld " .
		       "join $table_goal g on ld.indexid=g.id " .
		       "join strand s on ld.dataid=s.id " .
		       "where ld.type in ($types) and g.createdate between '$datefrom' and '$dateto' " .
		       "group by ld.dataid";
		$db_res = $this->CI->common_db_model->query($sql);
		if ( empty($db_res) ) {
			exit;
		}

		$this->CI->load->library('cms/osa_chart');
		$chartdivid = $this->get_inputvalue('_chart_divid');

		$res_types = $this->get_templatevalue('_res_types');

		// This is the SQL that gets run when clicking on a pie slice.
		$userlist_sql = "select g.id goalid,u.firstname,u.lastname,r.text1 data,r.id resid,ld.type from tp_lt_dropdown ld
join $table_goal g on ld.indexid=g.id
join $table_user u on g.creatorid=u.id
left join $table_resource r on r.unitid=g.id and r.type in ($res_types)
where ld.dataid=%s and ld.type in ($types) and
g.createdate between '$datefrom' and '$dateto'
order by lastname,goalid";

		$this->CI->session->set_userdata('sql_' . $chartdivid, $userlist_sql);


		$data = $this->CI->osa_chart->dataobj();
		$data->divid = $chartdivid;

		$chart_width = $this->get_templatevalue('_chartwin_width');
		$chart_height = $this->get_templatevalue('_chartwin_height');
		$result_divid = $this->get_templatevalue('_result_divid');
		$dhtml_divid = $this->get_inputvalue('_divid');
		$result_win_title = $this->get_templatevalue('_title');

		foreach($db_res as $item) {
			$data->addslice(($item->total*1),$item->data,
				"showChartUnitlist('" . base_url() . "chart/chartlist/get2/$this->searchid/" . urlencode($item->data) . "/$item->dataid'," .
					"'$result_win_title" .
					"',$chart_width,$chart_height,'$result_divid','$dhtml_divid')");
		}

		$nodata_options = array();
		$nodata_title = '';
		$_title = $this->get_templatevalue('_title');

		$this->CI->osa_chart->prepare_pie();
		//This contains all the selections that are not used/selected
		$nodata_title = $this->get_templatevalue('_no_select_items');
		$this->CI->load->view('mapping/chart_view.php',
		array('chart'=>$this->CI->osa_chart, 'title'=>$_title, 'nodata_options'=>$nodata_options,
						'count' => count($db_res), 'nodata_title'=>$nodata_title, 'divid'=>$dhtml_divid));
	}
}