<?php
/**
 * Handle_orphanlt.php - Search handle for orphan learning targets search
 *
 * @author $Author: dtong $
 * @version $Id: Handle_orphanlt.php,v 1.16 2012/03/20 11:50:52 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
require_once('Handle_base.php');

class Handle_orphanlt extends Handle_base{
	function __construct($params) {
		parent::__construct($params);
		$this->CI->load->model('mapping/orphanlt_model');
	}

	function process() {
		$course_query = $this->get_calendar_query();
		$courses_selected = $this->get_courses_selected();
		$grades_selected = $this->get_grades_selected();
		$departments_selected = $this->get_departments_selected();

		$res = $this->CI->orphanlt_model->get($course_query, $courses_selected, $grades_selected, $departments_selected);

		$display = & $this->get_display_obj();
		$display->pagetitle = $this->get_templatevalue('_title');

		if ( ($benchmark_title = $this->get_templatevalue('_benchmark_title')) == FALSE )
			$benchmark_title = lang('map_benchmark');
		if ( ($target_title = $this->get_templatevalue('_target_title')) == FALSE )
			$target_title = lang('map_target');

		$skip_standard = $this->get_templatevalue('_skip_standard');
		$skip_benchmark = $this->CI->config->item('cms_hide_benchmarks');

		$display->titles = array(lang('map_course'));
		$display->widths = array('15%');
		if ( $skip_standard ) {
			if ( !$skip_benchmark ) {
				$display->titles[] = $benchmark_title;
				$display->widths[] = '50%';
			}

			$display->titles[] = $target_title;
			$display->widths[] = '35%';
		}
		else {
			$display->titles[] = lang('map_standard');
			$display->widths[] = '20%';

			if ( !$skip_benchmark ) {
				$display->titles[] = $benchmark_title;
				$display->widths[] = '35%';
			}
			$display->titles[] = $target_title;
			$display->widths[] = '30%';

		}

		$display->divid = $this->get_inputvalue('_divid');
		if ( $res ) {
			$na = '&nbsp;' . lang('map_na');
			$show_all_fields = (!$skip_standard && !$skip_benchmark);
			foreach ( $res as $item ) {
				if ( !$item->coursename ) {
					$coursename = &$na;
				}
				else {
					$coursename = &$item->coursename;
				}
				if ( $show_all_fields ) {
					$data = array($coursename, $item->standard, $item->benchmark, $item->target);
				}
				elseif ($skip_standard) {
					$data = array($coursename, $item->benchmark, $item->target);
				}
				else {
					$data = array($coursename, $item->standard, $item->target);
				}
				$display->add($data);
			}
		}
		$this->load_view($display, FALSE);
	}
}
?>