<?php
/**
 * handle_function -
 *
 * Handle to run an external function. This can be any PHP function or CI/TODCM function.
 * Only supports up to 5 params for now.
 *
 * @author $Author: dtong $
 * @version $Id: handle_function.php,v 1.3 2013/10/25 02:37:56 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/
require_once('handle_base.php');

class handle_function extends handle_base {
	Const HANDLE_PARAM_LIST = '_name,_params,_read_action';

	function invoke() {
		//Check the handle parameters from the template and make sure they are valid
		//Browser would get error message if invalid parameter is found
		$this->valid_handle_params(self::HANDLE_PARAM_LIST);
		$name = osa_value($this->handle_data, '_name', FALSE);
		$params = osa_value($this->handle_data, '_params', FALSE);
		if ( empty($name) || !function_exists($name) ) {
			$this->error_flag = TRUE;
			osa_log(__METHOD__, 'Invalid function name or parameter.', $this->handle_data);
			return FALSE;
		}
		if ( $params ) {
			if ( !is_array($params) ) {
				$params = array($params);
			}
			$count = count($params);
		}
		else {
			$count = 0;
		}

		$ret = FALSE;
		// We could use one single eval() but don't think there will be too many params
		// Add more or change to eval() later if necessary
		switch ($count) {
			case 0:
				$ret = $name();
				break;
			case 1:
				$ret = $name($params[0]);
				break;
			case 2:
				$ret = $name($params[0], $params[1]);
				break;
			case 3:
				$ret = $name($params[0], $params[1], $params[2]);
				break;
			case 4:
				$ret = $name($params[0], $params[1], $params[2], $params[3]);
				break;
			case 5:
				$ret = $name($params[0], $params[1], $params[2], $params[3], $params[4]);
				break;
			default:
				$this->error_flag = TRUE;
				osa_log(__METHOD__, 'Invalid param count.', $this->handle_data);
				break;
		}

		if ( $ret ) {
			return TRUE;
		}
		// $ret is false so check for read action flag.
		if ( osa_value($this->handle_data, '_read_action', FALSE) == TRUE ) {
			// If event fails then change the action to read so user can never edit the resource.
			$this->change_action2read();
			return TRUE;
		}

		return FALSE;
	}
}