<?php
/**
 * orphanlt_model.php - Model file for orphan learning targets search
 *
 * @author $Author: dtong $
 * @version $Id: orphanlt_model.php,v 1.11 2012/09/06 09:09:57 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

class Orphanlt_model extends CI_Model {

	function __construct() {
		parent::__construct();
	}

	function get($course_query, $course_list, $grades_selected, $departments_selected) {
		if ($this->config->item('cms_outcomes_skills_mapping_type') == TRUE) {
			$type = CMS_OUTCOMES_SKILLS_TYPE;
		}
		else {
			$type = CMS_LEARNING_TARGETS_TYPE;
		}
		$sql = FALSE;

		// (issue: 531) Orphan LT search broken with outsomces and skills.
		// Use the orginal query if flag cms_menu_target_addlink is set.
		if ( $this->config->item('cms_menu_target_addlink') === FALSE &&
			  $lib = osa_3p_load_lib('CMS_3P_LIB_BENCH_LT_MAPPING', 'CMS_3P_FOLDER_BENCH_LT') ) {
			$lib->orphanplt_get($sql, $type, $course_query, $course_list, $grades_selected, $departments_selected);
		}
		else {
			$unittarget_table = $this->db->dbprefix('unit_target');
			$targettext_table = $this->db->dbprefix('target_text');
			$benchmark_table = $this->db->dbprefix('benchmark');
			$standard_table = $this->db->dbprefix('standard');
			$strand_table = $this->db->dbprefix('strand');
			$unitcache_table = osa_unit_cachetable();
			if ( $unitcache_table == FALSE ) {
				return FALSE;
			}
			$unitcache_table = $this->db->dbprefix($unitcache_table);

			$sql = "select t.id,c.name coursename,t.data target,b.data benchmark,sd.data standard " .
					  "from $unitcache_table uc " .
					  "join $unittarget_table ut on uc.compare_unifint_id=ut.unitid " .
					  "right join $targettext_table t on t.id=ut.targetid " .
					  "left join $benchmark_table b on b.id=t.benchmarkid  " .
					  "left join $standard_table sd on b.standardid=sd.id " .
					  "left join $strand_table s on sd.strandid=s.id " .
					  "join ($course_query) c on t.courseid=c.id " .
					  "where uc.id is null and t.type=$type " .
					  "and s.enabled=" . CMS_DB_BOOLEAN_TRUE . ' ' .
					  "and sd.enabled=" . CMS_DB_BOOLEAN_TRUE . ' ' .
					  "and b.enabled=" . CMS_DB_BOOLEAN_TRUE;
		}

		if ( empty($sql) ) {
			return FALSE;
		}
		$res = $this->db->query($sql);
		if ( $res->num_rows() <= 0 ) {
			return FALSE;
		}
		return $res->result();
	}
}
