<?php
/**
 * todcm_goal.php - unit config file for todcm_GOAL
 *
 * @author $Author: dtong $
 * @version $Id: todcm_goal.php,v 1.2 2011/07/29 10:06:07 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once(CMS_TEMPLATEPATH_BUILDER . 'base/baseclass_goal.php');

class unit_config_data extends baseclass_goal {

	//Function for generating appraiser template resource
	static function appraiser_resource($type, $text, $role=CMS_GOAL_APPRAISER_USER_TYPE, $select_num=3) {
		$title = '';
		$color = '';
		$sel_text = '';
		if ( $select_num == 3 ) {
			$selects = array(1=>'Excellent', 2=>'Good', 3=>'Needs improvement');
		}
		else {
			//$selects = array(1=>'Strength', 2=>'Meets expectations', 3=>'Needs Attention', 4=>'Not sure / not applicable');
			$selects = array(1=>'Highly satisfied', 2=>'Satisfied', 3=>'Not satisfied');
		}
		switch ($role) {
			case CMS_GOAL_APPRAISER_USER_TYPE:
				$title = 'Edit appraiser feedback';
				$color = '#BF7E30';
				$sel_text = 'Appraiser Feedback';
				break;
		}
		if ( $role == CMS_GOAL_APPRAISER_USER_TYPE ) {
			return array('_type' => 'resource', '_typeid' => $type, '_action'=>'all',
					'_title_add' => $text, '_title_edit' => $text,
					'_text_flag' => FALSE, '_allow_no_text' => TRUE, '_makepublic_flag' => TRUE,
					'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
					'_select_flag1' => TRUE, '_select_size1'=>1, '_select_title1' => $sel_text,
					'_select_color1' => $color,'_select1' => $selects,
					'_button' =>
						array(self::button_add_one_handle($type,array('_handle'=>'user_role','_roles_access_edit'=>$role),
								$title,'edit.gif'))
				);
		}
		else {
			return array('_type' => 'resource', '_typeid' => $type, '_action'=>'all',
					'_title_add' => $text, '_title_edit' => $text,
					'_text_flag' => FALSE, '_allow_no_text' => TRUE, '_makepublic_flag' => TRUE,
					'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
					'_select_flag1' => TRUE, '_select_size1'=>1, '_select_title1' => 'Teacher Feedback',
					'_select_color1' => '#228751','_select1' => $selects,
					'_button' => array(self::button_add_one_handle($type,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Edit teacher feedback','edit.gif'))
				);
		}
	}

	//Function for generating appraiser template resource
	static function appraiser_resource_satisfy($type, $text, $role=CMS_GOAL_APPRAISER_USER_TYPE) {
		return self::appraiser_resource($type, $text, $role, 4);
	}

	//Function for generating teacher and appraiser comment template resource
	static function comment_resource($type, $text, $role=CMS_GOAL_APPRAISER_USER_TYPE) {
		if ( $role == CMS_GOAL_APPRAISER_USER_TYPE ) {
			$edit_text = 'Edit appraiser comment';
			return array('_type' => 'resource', '_typeid' => $type, '_action'=>'all',
						'_title_add' => $text, '_title_edit' => $text, '_makepublic_flag' => TRUE,
						'_text_flag' => TRUE, '_text_title' => FALSE, '_text_cols'=>100, '_text_rows'=>27, '_text_required'=>TRUE,
						'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
						'_category_bodytext' => '(Appraiser Comment)', '_category_color' => '#BF7E30',
						'_button' =>
							array(self::button_delete_handle($type,
									array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),'comment'),
									self::button_edit_handle($type, array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE), 700, 450, $edit_text,
									FALSE, $edit_text))
			);
		}
		else {
			$edit_text = 'Edit teacher comment';
			return array('_type' => 'resource', '_typeid' => $type, '_action'=>'all',
						'_title_add' => $text, '_title_edit' => $text, '_makepublic_flag' => TRUE,
						'_text_flag' => TRUE, '_text_title' => FALSE, '_text_cols'=>100, '_text_rows'=>27, '_text_required'=>TRUE,
						'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
						'_category_bodytext' => '(Teacher Comment)', '_category_color' => '#228751',
						'_button' =>
							array(self::button_delete_handle($type, array('_handle'=>'user_role','_owner_access_edit'=>TRUE),'comment'),
									self::button_edit_handle($type, array('_handle'=>'user_role','_owner_access_edit'=>TRUE), 700, 450, $edit_text,
									FALSE, $edit_text))
			);
		}
	}

	//Function for generating teacher and appraiser action plan template resource
	static function actionplan_resource($type, $text, $role=CMS_GOAL_APPRAISER_USER_TYPE) {
		if ( $role == CMS_GOAL_APPRAISER_USER_TYPE ) {
			$edit_text = 'Edit appraiser comment';
			return array('_type' => 'resource', '_typeid' => $type, '_action'=>'all',
						'_title_add' => $text, '_title_edit' => $text, '_makepublic_flag' => TRUE,
						'_text_flag' => TRUE, '_text_title' => FALSE, '_text_cols'=>100, '_text_rows'=>27, '_text_required'=>TRUE,
						'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
						'_category_bodytext' => '(Appraiser Comment)', '_category_color' => '#BF7E30',
						'_button' =>
							array(self::button_delete_handle($type, array('_handle'=>'user_role','_roles_access_edit'=>$role),'action plan'),
									self::button_edit_handle($type, array('_handle'=>'user_role','_roles_access_edit'=>$role), 700, 450, $edit_text,
									FALSE, $edit_text))
			);
		}
		else {
			$edit_text = 'Edit teacher action plan';
			return array('_type' => 'resource', '_typeid' => $type, '_action'=>'all',
						'_title_add' => $text, '_title_edit' => $text, '_makepublic_flag' => TRUE,
						'_text_flag' => TRUE, '_text_title' => FALSE, '_text_cols'=>100, '_text_rows'=>27, '_text_required'=>TRUE,
						'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
						'_category_bodytext' => '(Teacher Action Plan)', '_category_color' => '#228751',
						'_button' =>
							array(self::button_delete_handle($type, array('_handle'=>'user_role','_owner_access_edit'=>TRUE),'action plan'),
									self::button_edit_handle($type, array('_handle'=>'user_role','_owner_access_edit'=>TRUE), 700, 450, $edit_text,
									FALSE, $edit_text))
			);
		}
	}

	static function get() {
		$unit_config = new stdClass();
		$unit_config->stage = array(); // Array of stages
		$unit_config->page =
			array(1 => array(1));
		$unit_config->page_check = array(1);

		$unit_config->stage[1] =
			array (
				'stage_head_1' => array('_type' => 'title_big_wb', '_title' => 'Stage 1: Performance Review', '_action' => 'all'),
				'stage_note_1' =>
						array('_type'=>'html_text',
							'_text'=>'<i>Please comment on the areas in which you have selected "Needs improvement".</i>', '_action'=>'edit'),
				'title1' =>
					array('_type' => 'subtitle', '_action' => 'all',
						'_title' => 'a. Rate your <u><i>quality of teaching</i></u> in the following areas:'),

				'title1_list1' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Subject knowledge</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_1,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Subject knowledge','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_2,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_3,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Subject knowledge','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_4,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_1 => self::appraiser_resource(CMS_TEMPLATE_GOAL_1, 'Subject Knowledge', FALSE),
				CMS_TEMPLATE_GOAL_2 => self::comment_resource(CMS_TEMPLATE_GOAL_2, 'Subject Knowledge', FALSE),
				CMS_TEMPLATE_GOAL_3 => self::appraiser_resource(CMS_TEMPLATE_GOAL_3, 'Subject Knowledge '),
				CMS_TEMPLATE_GOAL_4 => self::comment_resource(CMS_TEMPLATE_GOAL_4, 'Subject Knowledge'),

				'title1_list2' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Teaching style (i.e. student centered, active)</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_5,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Teaching style','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_6,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_7,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Teaching style','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_8,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_5 => self::appraiser_resource(CMS_TEMPLATE_GOAL_5, 'Teaching Style (i.e. student centered, active)', FALSE),
				CMS_TEMPLATE_GOAL_6 => self::comment_resource(CMS_TEMPLATE_GOAL_6, 'Teaching Style (i.e. student centered, active)', FALSE),
				CMS_TEMPLATE_GOAL_7 => self::appraiser_resource(CMS_TEMPLATE_GOAL_7, 'Teaching Style (i.e. student centered, active)'),
				CMS_TEMPLATE_GOAL_8 => self::comment_resource(CMS_TEMPLATE_GOAL_8, 'Teaching Style (i.e. student centered, active)'),

				'title1_list3' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Student rapport (i.e. student feel comfortable asking questions)</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_9,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Student rapport','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_10,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_11,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Student rapport','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_12,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_9 => self::appraiser_resource(CMS_TEMPLATE_GOAL_9, 'Student Rapport (i.e. student feel comfortable asking questions)', FALSE),
				CMS_TEMPLATE_GOAL_10 => self::comment_resource(CMS_TEMPLATE_GOAL_10, 'Student Rapport (i.e. student feel comfortable asking questions)', FALSE),
				CMS_TEMPLATE_GOAL_11 => self::appraiser_resource(CMS_TEMPLATE_GOAL_11, 'Student Rapport (i.e. student feel comfortable asking questions)'),
				CMS_TEMPLATE_GOAL_12 => self::comment_resource(CMS_TEMPLATE_GOAL_12, 'Student Rapport (i.e. student feel comfortable asking questions)'),

				'title1_list4' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Classroom management</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_13,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Classroom management','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_14,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_15,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Classroom management','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_16,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_13 => self::appraiser_resource(CMS_TEMPLATE_GOAL_13, 'Classroom Management', FALSE),
				CMS_TEMPLATE_GOAL_14 => self::comment_resource(CMS_TEMPLATE_GOAL_14, 'Classroom Management', FALSE),
				CMS_TEMPLATE_GOAL_15 => self::appraiser_resource(CMS_TEMPLATE_GOAL_15, 'Classroom Management'),
				CMS_TEMPLATE_GOAL_16 => self::comment_resource(CMS_TEMPLATE_GOAL_16, 'Classroom Management'),

				'title1_list5' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Student assessment</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_17,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Student assessment','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_18,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_19,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Student assessment','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_20,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_17 => self::appraiser_resource(CMS_TEMPLATE_GOAL_17, 'Student Assessment', FALSE),
				CMS_TEMPLATE_GOAL_18 => self::comment_resource(CMS_TEMPLATE_GOAL_18, 'Student Assessment', FALSE),
				CMS_TEMPLATE_GOAL_19 => self::appraiser_resource(CMS_TEMPLATE_GOAL_19, 'Student Assessment'),
				CMS_TEMPLATE_GOAL_20 => self::comment_resource(CMS_TEMPLATE_GOAL_20, 'Student Assessment'),

				'title1_list6' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Use of materials and resources</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_21,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Use of materials and resources','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_22,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_23,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Use of materials and resources','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_24,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_21 => self::appraiser_resource(CMS_TEMPLATE_GOAL_21, 'Use of Materials and Resources', FALSE),
				CMS_TEMPLATE_GOAL_22 => self::comment_resource(CMS_TEMPLATE_GOAL_22, 'Use of Materials and Resources', FALSE),
				CMS_TEMPLATE_GOAL_23 => self::appraiser_resource(CMS_TEMPLATE_GOAL_23, 'Use of Materials and Resources'),
				CMS_TEMPLATE_GOAL_24 => self::comment_resource(CMS_TEMPLATE_GOAL_24, 'Use of Materials and Resources'),

				'title1_list7' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Organization (i.e. punctuality, preparedness)</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_25,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Organization','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_26,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_27,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Organization','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_28,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_25 => self::appraiser_resource(CMS_TEMPLATE_GOAL_25, 'Organization (i.e. punctuality, preparedness)', FALSE),
				CMS_TEMPLATE_GOAL_26 => self::comment_resource(CMS_TEMPLATE_GOAL_26, 'Organization (i.e. punctuality, preparedness)', FALSE),
				CMS_TEMPLATE_GOAL_27 => self::appraiser_resource(CMS_TEMPLATE_GOAL_27, 'Organization (i.e. punctuality, preparedness)'),
				CMS_TEMPLATE_GOAL_28 => self::comment_resource(CMS_TEMPLATE_GOAL_28, 'Organization (i.e. punctuality, preparedness)'),
				'newline_1'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),

				'title2' =>
					array('_type' => 'subtitle', '_action' => 'all',
						'_title' => 'b. Rate your <u><i>interpersonal skills</i></u> in the following areas:'),
				'title2_list1' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Communication (listening, clarifying ideas, giving opinions)</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_29,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Communication','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_30,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_31,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Communication','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_32,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_29 => self::appraiser_resource(CMS_TEMPLATE_GOAL_29, 'Communication (listening, clarifying ideas, giving opinions)', FALSE),
				CMS_TEMPLATE_GOAL_30 => self::comment_resource(CMS_TEMPLATE_GOAL_30, 'Communication (listening, clarifying ideas, giving opinions)', FALSE),
				CMS_TEMPLATE_GOAL_31 => self::appraiser_resource(CMS_TEMPLATE_GOAL_31, 'Communication (listening, clarifying ideas, giving opinions)'),
				CMS_TEMPLATE_GOAL_32 => self::comment_resource(CMS_TEMPLATE_GOAL_32, 'Communication (listening, clarifying ideas, giving opinions)'),

				'title2_list2' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Teamwork</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_33,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Teamwork','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_34,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_35,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Teamwork','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_36,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_33 => self::appraiser_resource(CMS_TEMPLATE_GOAL_33, 'Teamwork', FALSE),
				CMS_TEMPLATE_GOAL_34 => self::comment_resource(CMS_TEMPLATE_GOAL_34, 'Teamwork', FALSE),
				CMS_TEMPLATE_GOAL_35 => self::appraiser_resource(CMS_TEMPLATE_GOAL_35, 'Teamwork'),
				CMS_TEMPLATE_GOAL_36 => self::comment_resource(CMS_TEMPLATE_GOAL_36, 'Teamwork'),

				'title2_list3' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Flexibility</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_37,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Flexibility','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_38,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_39,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Flexibility','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_40,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_37 => self::appraiser_resource(CMS_TEMPLATE_GOAL_37, 'Flexibility', FALSE),
				CMS_TEMPLATE_GOAL_38 => self::comment_resource(CMS_TEMPLATE_GOAL_38, 'Flexibility', FALSE),
				CMS_TEMPLATE_GOAL_39 => self::appraiser_resource(CMS_TEMPLATE_GOAL_39, 'Flexibility'),
				CMS_TEMPLATE_GOAL_40 => self::comment_resource(CMS_TEMPLATE_GOAL_40, 'Flexibility'),

				'title2_list4' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Reliability</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_41,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Reliability','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_42,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_43,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Reliability','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_44,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_41 => self::appraiser_resource(CMS_TEMPLATE_GOAL_41, 'Reliability', FALSE),
				CMS_TEMPLATE_GOAL_42 => self::comment_resource(CMS_TEMPLATE_GOAL_42, 'Reliability', FALSE),
				CMS_TEMPLATE_GOAL_43 => self::appraiser_resource(CMS_TEMPLATE_GOAL_43, 'Reliability'),
				CMS_TEMPLATE_GOAL_44 => self::comment_resource(CMS_TEMPLATE_GOAL_44, 'Reliability'),

				'title2_list5' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Decision making</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_45,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Decision making','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_46,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_47,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Decision making','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_48,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_45 => self::appraiser_resource(CMS_TEMPLATE_GOAL_45, 'Decision Making', FALSE),
				CMS_TEMPLATE_GOAL_46 => self::comment_resource(CMS_TEMPLATE_GOAL_46, 'Decision Making', FALSE),
				CMS_TEMPLATE_GOAL_47 => self::appraiser_resource(CMS_TEMPLATE_GOAL_47, 'Decision Making'),
				CMS_TEMPLATE_GOAL_48 => self::comment_resource(CMS_TEMPLATE_GOAL_48, 'Decision Making'),

				'title2_list6' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Problem solving</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_49,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Problem solving','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_50,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_51,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Problem solving','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_52,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_49 => self::appraiser_resource(CMS_TEMPLATE_GOAL_49, 'Problem Solving', FALSE),
				CMS_TEMPLATE_GOAL_50 => self::comment_resource(CMS_TEMPLATE_GOAL_50, 'Problem Solving', FALSE),
				CMS_TEMPLATE_GOAL_51 => self::appraiser_resource(CMS_TEMPLATE_GOAL_51, 'Problem Solving'),
				CMS_TEMPLATE_GOAL_52 => self::comment_resource(CMS_TEMPLATE_GOAL_52, 'Problem Solving'),
				'newline_2'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),

				'title3' =>
					array('_type' => 'subtitle', '_action' => 'all',
						'_title' => 'c. Rate your <u><i>workload management</i></u> in the following areas:'),

				'title3_list1' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Productivity</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_53,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Productivity','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_54,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_55,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Productivity','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_56,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_53 => self::appraiser_resource(CMS_TEMPLATE_GOAL_53, 'Productivity', FALSE),
				CMS_TEMPLATE_GOAL_54 => self::comment_resource(CMS_TEMPLATE_GOAL_54, 'Productivity', FALSE),
				CMS_TEMPLATE_GOAL_55 => self::appraiser_resource(CMS_TEMPLATE_GOAL_55, 'Productivity'),
				CMS_TEMPLATE_GOAL_56 => self::comment_resource(CMS_TEMPLATE_GOAL_56, 'Productivity'),

				'title3_list2' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Initiative</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_57,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Initiative','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_58,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_59,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Initiative','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_60,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_57 => self::appraiser_resource(CMS_TEMPLATE_GOAL_57, 'Initiative', FALSE),
				CMS_TEMPLATE_GOAL_58 => self::comment_resource(CMS_TEMPLATE_GOAL_58, 'Initiative', FALSE),
				CMS_TEMPLATE_GOAL_59 => self::appraiser_resource(CMS_TEMPLATE_GOAL_59, 'Initiative'),
				CMS_TEMPLATE_GOAL_60 => self::comment_resource(CMS_TEMPLATE_GOAL_60, 'Initiative'),

				'title3_list3' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Time management</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_61,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Time management','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_62,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_63,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Time management','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_64,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_61 => self::appraiser_resource(CMS_TEMPLATE_GOAL_61, 'Time Management', FALSE),
				CMS_TEMPLATE_GOAL_62 => self::comment_resource(CMS_TEMPLATE_GOAL_62, 'Time Management', FALSE),
				CMS_TEMPLATE_GOAL_63 => self::appraiser_resource(CMS_TEMPLATE_GOAL_63, 'Time Management'),
				CMS_TEMPLATE_GOAL_64 => self::comment_resource(CMS_TEMPLATE_GOAL_64, 'Time Management'),

				'title3_list4' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Stress management</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_65,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Stress management','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_66,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_67,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Stress management','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_68,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_65 => self::appraiser_resource(CMS_TEMPLATE_GOAL_65, 'Stress Management', FALSE),
				CMS_TEMPLATE_GOAL_66 => self::comment_resource(CMS_TEMPLATE_GOAL_66, 'Stress Management', FALSE),
				CMS_TEMPLATE_GOAL_67 => self::appraiser_resource(CMS_TEMPLATE_GOAL_67, 'Stress Management'),
				CMS_TEMPLATE_GOAL_68 => self::comment_resource(CMS_TEMPLATE_GOAL_68, 'Stress Management'),
				'newline_3'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),

				//Stage 2
				'stage_head_2' => array('_type' => 'title_big_wb', '_title' => 'Stage 2: Satisfaction Review', '_action' => 'all'),
				'stage_note_2' =>
						array('_type'=>'html_text',
							'_text'=>'<i>Please comment on the areas in which you have selected "Not satisfied".</i>', '_action'=>'edit'),
				'title4' =>
					array('_type' => 'subtitle', '_action' => 'all',
						'_title' => 'a. Rate your <span style="text-decoration:underline;font-style:italic;">job satisfaction</span> in the following areas:'),

				'title4_list1' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Relationship with colleagues</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_69,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Relationship with colleagues','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_70,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_71,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Relationship with colleagues','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_72,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_69 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_69, 'Relationship with Colleagues', FALSE),
				CMS_TEMPLATE_GOAL_70 => self::comment_resource(CMS_TEMPLATE_GOAL_70, 'Relationship with Colleagues', FALSE),
				CMS_TEMPLATE_GOAL_71 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_71, 'Relationship with Colleagues'),
				CMS_TEMPLATE_GOAL_72 => self::comment_resource(CMS_TEMPLATE_GOAL_72, 'Relationship with Colleagues'),

				'title4_list2' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Relationship with students</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_73,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Relationship with students','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_74,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_75,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Relationship with students','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_76,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_73 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_73, 'Relationship with Students', FALSE),
				CMS_TEMPLATE_GOAL_74 => self::comment_resource(CMS_TEMPLATE_GOAL_74, 'Relationship with Students', FALSE),
				CMS_TEMPLATE_GOAL_75 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_75, 'Relationship with Students'),
				CMS_TEMPLATE_GOAL_76 => self::comment_resource(CMS_TEMPLATE_GOAL_76, 'Relationship with Students'),

				'title4_list3' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Relationship with appraiser</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_77,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Relationship with appraiser','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_78,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_79,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Relationship with appraiser','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_80,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_77 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_77, 'Relationship with Appraiser', FALSE),
				CMS_TEMPLATE_GOAL_78 => self::comment_resource(CMS_TEMPLATE_GOAL_78, 'Relationship with Appraiser', FALSE),
				CMS_TEMPLATE_GOAL_79 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_79, 'Relationship with Appraiser'),
				CMS_TEMPLATE_GOAL_80 => self::comment_resource(CMS_TEMPLATE_GOAL_80, 'Relationship with Appraiser'),

				'title4_list4' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Compensation/Salary</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_81,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Compensation/Salary','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_82,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_83,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Compensation/Salary','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_84,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_81 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_81, 'Compensation/Salary', FALSE),
				CMS_TEMPLATE_GOAL_82 => self::comment_resource(CMS_TEMPLATE_GOAL_82, 'Compensation/Salary', FALSE),
				CMS_TEMPLATE_GOAL_83 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_83, 'Compensation/Salary'),
				CMS_TEMPLATE_GOAL_84 => self::comment_resource(CMS_TEMPLATE_GOAL_84, 'Compensation/Salary'),

				'title4_list5' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Work hours</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_85,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Work hours','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_86,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_87,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Work hours','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_88,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_85 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_85, 'Work hours', FALSE),
				CMS_TEMPLATE_GOAL_86 => self::comment_resource(CMS_TEMPLATE_GOAL_86, 'Work hours', FALSE),
				CMS_TEMPLATE_GOAL_87 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_87, 'Work hours'),
				CMS_TEMPLATE_GOAL_88 => self::comment_resource(CMS_TEMPLATE_GOAL_88, 'Work hours'),

				'title4_list6' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Work load/Responsibilities</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_89,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Work load/Responsibilities','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_90,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_91,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Work load/Responsibilities','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_92,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_89 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_89, 'Work load/Responsibilities', FALSE),
				CMS_TEMPLATE_GOAL_90 => self::comment_resource(CMS_TEMPLATE_GOAL_90, 'Work load/Responsibilities', FALSE),
				CMS_TEMPLATE_GOAL_91 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_91, 'Work load/Responsibilities'),
				CMS_TEMPLATE_GOAL_92 => self::comment_resource(CMS_TEMPLATE_GOAL_92, 'Work load/Responsibilities'),

				'title4_list7' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Availability of resources</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_93,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Availability of resources','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_94,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_95,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Availability of resources','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_96,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_93 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_93, 'Availability of Resources', FALSE),
				CMS_TEMPLATE_GOAL_94 => self::comment_resource(CMS_TEMPLATE_GOAL_94, 'Availability of Resources', FALSE),
				CMS_TEMPLATE_GOAL_95 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_95, 'Availability of Resources'),
				CMS_TEMPLATE_GOAL_96 => self::comment_resource(CMS_TEMPLATE_GOAL_96, 'Availability of Resources'),

				'title4_list8' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Professional development</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_97,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Professional development','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_98,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_99,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Professional development','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_100,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_97 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_97, 'Professional Development', FALSE),
				CMS_TEMPLATE_GOAL_98 => self::comment_resource(CMS_TEMPLATE_GOAL_98, 'Professional Development', FALSE),
				CMS_TEMPLATE_GOAL_99 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_99, 'Professional Development'),
				CMS_TEMPLATE_GOAL_100 => self::comment_resource(CMS_TEMPLATE_GOAL_100, 'Professional Development'),

				'title4_list9' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Overall support</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_101,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Overall support','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_102,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_103,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
									'Add/Edit Overall support','goal_a.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_104,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_101 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_101, 'Overall Support', FALSE),
				CMS_TEMPLATE_GOAL_102 => self::comment_resource(CMS_TEMPLATE_GOAL_102, 'Overall Support', FALSE),
				CMS_TEMPLATE_GOAL_103 => self::appraiser_resource_satisfy(CMS_TEMPLATE_GOAL_103, 'Overall Support'),
				CMS_TEMPLATE_GOAL_104 => self::comment_resource(CMS_TEMPLATE_GOAL_104, 'Overall Support'),
				'newline_4'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),

				//Stage 3
				'stage_head_3' => array('_type' => 'title_big_wb', '_title' => 'Stage 3: Action Plan (Goals and next Steps for the upcoming appraisal)', '_action' => 'all'),
				'title5_list1' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'a. How do you plan to address the areas of improvement in your daily work and/or through professional development (trainings, conferences, colleague support, etc.)?',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_105,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher areas of improvement','add.gif',700,480),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_106,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser areas of improvement comment','add.gif',700,480)
									),
					),
				CMS_TEMPLATE_GOAL_105 => self::actionplan_resource(CMS_TEMPLATE_GOAL_105,
					'How do you plan to address the areas of improvement in your daily work and/or through professional development (trainings, conferences, colleague support, etc.)?', FALSE),
				CMS_TEMPLATE_GOAL_106 => self::actionplan_resource(CMS_TEMPLATE_GOAL_106,
					'How do you plan to address the areas of improvement in your daily work and/or through professional development (trainings, conferences, colleague support, etc.)?'),

				'title5_list2' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'b. What evidence will you provide to demonstrate these changes?',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_107,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher evidence','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_108,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser evidence comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_107 => self::actionplan_resource(CMS_TEMPLATE_GOAL_107, 'What evidence will you provide to demonstrate these changes?', FALSE),
				CMS_TEMPLATE_GOAL_108 => self::actionplan_resource(CMS_TEMPLATE_GOAL_108, 'What evidence will you provide to demonstrate these changes?'),

				'title5_list3' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'c. What is your timeline for making these changes?',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_109,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher timeline','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_110,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser timeline comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_109 => self::actionplan_resource(CMS_TEMPLATE_GOAL_109, 'What is your timeline for making these changes?', FALSE),
				CMS_TEMPLATE_GOAL_110 => self::actionplan_resource(CMS_TEMPLATE_GOAL_110, 'What is your timeline for making these changes?'),

				'title5_list4' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'd. Are you collaborating with others to make these changes? If so, whom?',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_111,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher collaboration','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_112,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser collaboration comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_111 => self::actionplan_resource(CMS_TEMPLATE_GOAL_111, 'Are you collaborating with others to make these changes? If so, whom?', FALSE),
				CMS_TEMPLATE_GOAL_112 => self::actionplan_resource(CMS_TEMPLATE_GOAL_112, 'Are you collaborating with others to make these changes? If so, whom?'),

				'title5_list5' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'e. How will you share what you have learned?',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_113,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher sharing','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_114,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser sharing comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_113 => self::actionplan_resource(CMS_TEMPLATE_GOAL_113, 'How will you share what you have learned?', FALSE),
				CMS_TEMPLATE_GOAL_114 => self::actionplan_resource(CMS_TEMPLATE_GOAL_114, 'How will you share what you have learned?'),
				'newline_5'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),

				//Stage 4
				'stage_head_4' => array('_type' => 'title_big_wb', '_title' => 'Stage 4: Feedback for Appraiser', '_action' => 'all'),
				'stage_note_3' =>
						array('_type'=>'html_text',
							'_text'=>'<i>Please comment on the areas for which you have selected "Needs improvement".</i>', '_action'=>'edit'),
				'title6' =>
					array('_type' => 'subtitle', '_action' => 'all',
						'_title' => 'a. Rate your appraiser in the following areas:'),

				'title6_list1' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Communication</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_115,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Communication','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_116,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit communication comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_140,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser communication comment','add.gif',700,450),
									),
					),
				CMS_TEMPLATE_GOAL_115 => self::appraiser_resource(CMS_TEMPLATE_GOAL_115, 'Communication', FALSE),
				CMS_TEMPLATE_GOAL_116 => self::comment_resource(CMS_TEMPLATE_GOAL_116, 'Communication', FALSE),
				CMS_TEMPLATE_GOAL_140 => self::comment_resource(CMS_TEMPLATE_GOAL_140, 'Communication'),

				'title6_list2' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Support</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_119,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Support','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_120,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit support comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_141,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser support comment','add.gif',700,450),
									),
					),
				CMS_TEMPLATE_GOAL_119 => self::appraiser_resource(CMS_TEMPLATE_GOAL_119, 'Support', FALSE),
				CMS_TEMPLATE_GOAL_120 => self::comment_resource(CMS_TEMPLATE_GOAL_120, 'Support', FALSE),
				CMS_TEMPLATE_GOAL_141 => self::comment_resource(CMS_TEMPLATE_GOAL_141, 'Support'),

				'title6_list3' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Organization</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_123,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Organization','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_124,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit organization comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_142,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser organization comment','add.gif',700,450),
									),
					),
				CMS_TEMPLATE_GOAL_123 => self::appraiser_resource(CMS_TEMPLATE_GOAL_123, 'Organization', FALSE),
				CMS_TEMPLATE_GOAL_124 => self::comment_resource(CMS_TEMPLATE_GOAL_124, 'Organization', FALSE),
				CMS_TEMPLATE_GOAL_142 => self::comment_resource(CMS_TEMPLATE_GOAL_142, 'Organization'),

				'title6_list4' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Flexibility</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_127,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Flexibility','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_128,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit flexibility comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_143,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser flexibility comment','add.gif',700,450),
									),
					),
				CMS_TEMPLATE_GOAL_127 => self::appraiser_resource(CMS_TEMPLATE_GOAL_127, 'Flexibility', FALSE),
				CMS_TEMPLATE_GOAL_128 => self::comment_resource(CMS_TEMPLATE_GOAL_128, 'Flexibility', FALSE),
				CMS_TEMPLATE_GOAL_143 => self::comment_resource(CMS_TEMPLATE_GOAL_143, 'Flexibility'),

				'title6_list5' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => '<li style="margin-left:15px">Professionalism</li>',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_131,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
									'Add/Edit Professionalism','goal_t.gif'),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_132,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit professionalism comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_144,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser professionalism comment','add.gif',700,450),
									),
					),
				CMS_TEMPLATE_GOAL_131 => self::appraiser_resource(CMS_TEMPLATE_GOAL_131, 'Professionalism', FALSE),
				CMS_TEMPLATE_GOAL_132 => self::comment_resource(CMS_TEMPLATE_GOAL_132, 'Professionalism', FALSE),
				CMS_TEMPLATE_GOAL_144 => self::comment_resource(CMS_TEMPLATE_GOAL_144, 'Professionalism'),

				'newline_6'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),

				//Stage 5
				'stage_head_5' => array('_type' => 'title_big_wb', '_title' => 'Stage 5: Additional Comments', '_action' => 'all'),
				'title7' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'Comments:',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_135,array('_handle'=>'user_role','_owner_access_edit'=>TRUE),
										'Add/Edit teacher additional comment','add.gif',700,450),
									self::button_add_one_handle(CMS_TEMPLATE_GOAL_136,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit appraiser additional comment','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_135 => self::comment_resource(CMS_TEMPLATE_GOAL_135, 'Teacher Additional Comment', FALSE),
				CMS_TEMPLATE_GOAL_136 => self::comment_resource(CMS_TEMPLATE_GOAL_136, 'Appraiser Additional Comment'),
				'newline_7'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),

				//Stage 6
				'stage_head_6' => array('_type' => 'title_big_wb', '_title' => 'Stage 6: Appraisal Summary', '_action' => 'all'),

				'title8_list1' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'a. Overall strengths',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_137,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit Overall strengths','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_137 => array('_type' => 'resource', '_typeid' => CMS_TEMPLATE_GOAL_137, '_action'=>'all',
						'_title_add' => 'Overall strengths', '_title_edit' => 'Overall strengths', '_makepublic_flag' => TRUE,
						'_text_flag' => TRUE, '_text_title' => FALSE, '_text_cols'=>100, '_text_rows'=>27, '_text_required'=>TRUE,
						'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
						'_category_bodytext' => FALSE, '_category_color' => FALSE,
						'_button' =>
							array(self::button_delete_handle(CMS_TEMPLATE_GOAL_137,
										array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),'appraisal summary'),
									self::button_edit_handle(CMS_TEMPLATE_GOAL_137,
										array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE), 700, 450, 'Edit',
									FALSE, 'Edit appraisal summary')),
						),

				'title8_list2' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'b. Overall areas of improvement',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_138,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit Overall areas of improvement','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_138 => array('_type' => 'resource', '_typeid' => CMS_TEMPLATE_GOAL_138, '_action'=>'all',
						'_title_add' => 'Overall areas of improvement', '_title_edit' => 'Overall areas of improvement', '_makepublic_flag' => TRUE,
						'_text_flag' => TRUE, '_text_title' => FALSE, '_text_cols'=>100, '_text_rows'=>27, '_text_required'=>TRUE,
						'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
						'_category_bodytext' => FALSE, '_category_color' => FALSE,
						'_button' =>
							array(self::button_delete_handle(CMS_TEMPLATE_GOAL_138,
										array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),'appraisal summary'),
									self::button_edit_handle(CMS_TEMPLATE_GOAL_138,
										array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE), 700, 450, 'Edit',
									FALSE, 'Edit appraisal summary')),
						),

				'title8_list3' =>
					array('_type' => 'subtitle', '_action' => 'all',
							'_title' => 'c. Goals for next appraisal',
							'_rightbutton' =>
							array(self::button_add_one_handle(CMS_TEMPLATE_GOAL_139,array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
										'Add/Edit Goals for next appraisal','add.gif',700,450)
									),
					),
				CMS_TEMPLATE_GOAL_139 => array('_type' => 'resource', '_typeid' => CMS_TEMPLATE_GOAL_139, '_action'=>'all',
						'_title_add' => 'Goals for next appraisal', '_title_edit' => 'Goals for next appraisal', '_makepublic_flag' => TRUE,
						'_text_flag' => TRUE, '_text_title' => FALSE, '_text_cols'=>100, '_text_rows'=>27, '_text_required'=>TRUE,
						'_save_text' => 'Save', '_cancel_text' => 'Cancel', '_delete_text' => FALSE,
						'_category_bodytext' => FALSE, '_category_color' => FALSE,
						'_button' =>
							array(self::button_delete_handle(CMS_TEMPLATE_GOAL_139,
										array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),'appraisal summary'),
									self::button_edit_handle(CMS_TEMPLATE_GOAL_139,
										array('_handle'=>'user_role','_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE), 700, 450, 'Edit',
									FALSE, 'Edit appraisal summary')),
						),
				'newline_8'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),

				//Stage 7
				'stage_head_7' => array('_type' => 'title_big_wb', '_title' => 'Stage 7: Completion Confirmation', '_action'=>'all'),
				CMS_GOAL_DATE_TEACHER_TYPE =>
					array('_type' => 'template_date', '_typeid' => CMS_GOAL_DATE_TEACHER_TYPE, '_action'=>'read|edit',
						'_event_handle'=>array('_handle'=>'user_role','_allusers_access_read'=>TRUE,'_owner_access_edit'=>TRUE),
						'_title' => 'Teacher Completion Date:'
					),
				'newline_9'=>array('_type'=>'newline', '_px'=>3, '_action'=>'edit|read'),
				CMS_GOAL_DATE_APPRAISER_TYPE =>
					array('_type' => 'template_date', '_typeid' => CMS_GOAL_DATE_APPRAISER_TYPE, '_action'=>'read|edit',
						'_event_handle'=>array('_handle'=>'user_role','_allusers_access_read'=>TRUE,'_roles_access_edit'=>CMS_GOAL_APPRAISER_USER_TYPE),
						'_title' => 'Appraiser Completion Date:',
					),
		);

		return $unit_config;
	}
}
?>